#include <stdlib.h>
#include <time.h>
#include <iostream>
#include "SDL.h"

using namespace std;

SDL_Surface *screen = NULL;
SDL_Surface *bg = NULL;

void render()
{   
  // Lock surface if needed
  if (SDL_MUSTLOCK(screen)) 
    if (SDL_LockSurface(screen) < 0) 
      return;

  memcpy(screen->pixels, bg->pixels, 320*240*sizeof(unsigned short));

  // Unlock if needed
  if (SDL_MUSTLOCK(screen)) 
    SDL_UnlockSurface(screen);

  // Tell SDL to update the whole screen
  SDL_UpdateRect(screen, 0, 0, 320, 240);    

}


// Entry point
int main(int argc, char *argv[])
{
  time_t now = time(NULL);

  // Initialize SDL's subsystems - in this case, only video.
  if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) 
  {
    fprintf(stderr, "Unable to init SDL: %s\n", SDL_GetError());
    exit(1);
  }

  // Register SDL_Quit to be called at exit; makes sure things are
  // cleaned up when we quit.
  atexit(SDL_Quit);
    
  // Attempt to create a 320x240 window with 16bit pixels.
  screen = SDL_SetVideoMode(320, 240, 16, SDL_SWSURFACE|SDL_HWPALETTE);
  
  // If we fail, return error.
  if ( screen == NULL ) 
  {
    fprintf(stderr, "Unable to set 320x240 video: %s\n", SDL_GetError());
    exit(1);
  }

      SDL_ShowCursor(SDL_DISABLE);

   SDL_Surface* temp = SDL_LoadBMP("lw5back.bmp");
   bg = SDL_ConvertSurface(temp, screen->format, SDL_SWSURFACE);
   SDL_FreeSurface(temp);

    // Render stuff
    render();
  return 0;
}
